Subject: Re: [PATCH] git-gui: Build even if tclsh is not available

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 17 May 2007 18:16:15 -0400

Petr Baudis <[email-masked]> wrote:
>   (i) Makefile will autodecide on whether git-gui will be
> built+installed or not
> 
>   (ii) ./configure will, people not using configure and building on
> servers will be left to tweak config manually
> 
>   (iii) ./configure will, git-gui will default to not to be built and
> people not using configure and wanting git-gui will be left to tweak
> config manually
> 
> I suspect that (ii) will be chosen, and even though I don't like it
> *personally* I guess it's the most reasonable approach for the general
> public. I didn't know that tclIndex is vital for git-gui when I
> submitted the patch, the /Makefile comment suggests otherwise.

(iv) git-gui 0.7.1, which is now available from repo.or.cz, and
I think you know where that is ;-), makes TCL_PATH strictly an
optimization at compile time.

If TCL_PATH is present and creates a valid tclIndex file then we
use the Tcl auto_load "optimization" to only load the Tcl code we
actually need when we run.  But if it does fail for any reason we
hide the error (can be unhidden with make V=1) and we generate
a listing of the files instead.  In this latter case we load
*everything* on git-gui startup.

This way git-gui works for the user either way, just like before,
but its startup may be slightly slower if the user didn't give us
a good TCL_PATH at build time.

Junio, would you consider merging 0.7.1 soon?  No changes are
needed to git.git's own Makefile, just a subtree pull.

-- 
Shawn.